Core - Task # 54777

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Story # 55078 (Closed): Optimize PHP code performance in TYPO3 methods

Status: Resolved Priority: Should have
Author: Michiel Roos Category: Performance
Created: 2014-01-06 Assigned To:

Updated: 2014-02-09 Due date:

TYPOS3 Version: 6.2

PHP Version: 5.3

Complexity: no-brainer

Sprint Focus:

Subject: Use PHP native htmispecialchars_decode()

Description

Instead of Generalutility::htmlspecialchars_decode(), use the plain PHP version.

Instead of four calls to str_replace on a value, htmispecialchars_decode() will be called just once.

Associated revisions

Revision 0e3c49f4 - 2014-02-09 20:41 - Lukasz Jurys

[BUGFIX] Use PHP native htmispecialchars_decode()

Method Generalutility::htmispecialchars_decode()
was replaced by htmlispecialchars_decode().
Also Generalutility::htmlspecialchars_decode()
has been marked as deprecated

Resolves: #54777

Releases: 6.2

Change-Id: I[dc9b12d8a1dc2746ee0f742c37c640118c9f69c3
Reviewed-on: https://review.typo3.org/27473

Reviewed-by: Oliver Klee
Reviewed-by: Karol Lamparski
Reviewed-by: Marcin Sagol
Tested-by: Marcin Sagol
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-01-16 16:46 - Ingo Schmitt
- Parent task set to #55078

#2 - 2014-02-08 13:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
https://review.typo3.org/27473

It is available at https://review.typo3.org/27454

#3 - 2014-02-08 14:56 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27458

#4 - 2014-02-08 19:05 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27472

#5 - 2014-02-08 19:22 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27473

#6 - 2014-02-09 11:57 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27473

#7 - 2014-02-09 21:23 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
